var lib = require('../lib/array/index');

module.exports = function(RED) {
  function Node(config) {
    RED.nodes.createNode(this, config);
    let node = this;
    node.on('input', function(msg) {
      msg.payload = lib.arrayify(msg.payload);
      node.send(msg);
    });
  }
  RED.nodes.registerType('array.arrayify', Node);
};
