# S-NODE-UTILS

[![](https://img.shields.io/github/languages/top/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/languages/top/nfellgill/node-utils?style=for-the-badge) [![](https://img.shields.io/bundlephobia/min/s-node-utils?style=for-the-badge)](https://img.shields.io/bundlephobia/min/s-node-utils?style=for-the-badge) [![](https://img.shields.io/github/languages/code-size/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/languages/code-size/nfellgill/node-utils?style=for-the-badge) [![](https://img.shields.io/github/repo-size/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/repo-size/nfellgill/node-utils?style=for-the-badge) [![](https://img.shields.io/github/issues-raw/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/issues-raw/nfellgill/node-utils?style=for-the-badge) [![](https://img.shields.io/github/license/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/license/nfellgill/node-utils?style=for-the-badge) [![](https://img.shields.io/github/package-json/v/nfellgill/node-utils?style=for-the-badge)](https://img.shields.io/github/package-json/v/nfellgill/node-utils?style=for-the-badge)

## Doc [here](https://nfellgill.github.io/node-utils/) !

## Mathematical library [here](https://www.npmjs.com/package/s-lib-math) (Doc [here](https://nfellgill.github.io/lib-math/))

Example to use in s-node-utils

- For the lib, is:

```javascript
var slm = require("s-lib-math");

slm.add(4, 4);
```

- For the module is:

```javascript
var snu = require("s-node-utils");

snu.math.add(4, 4);
```

## "IS" library [here](https://www.npmjs.com/package/s-lib-is) (Doc [here](https://nfellgill.github.io/lib-is/))

Example to use in s-node-utils

- For the lib, is:

```javascript
var sli = require("s-lib-is");

sli.number("5");
```

- For the module is:

```javascript
var snu = require("s-node-utils");

snu.is.number("5");
```

## Array library [here](https://www.npmjs.com/package/s-lib-array) (Doc [here](https://nfellgill.github.io/s-lib-array/))

Example to use in s-node-utils

- For the lib, is:

```javascript
var sla = require("s-lib-array");

sla.arrayify("abc");
```

- For the module is:

```javascript
var snu = require("s-node-utils");

snu.array.arrayify("abc");
```

## Soon fully compatible with node-red!
