var lib = require('../lib/is/index');

module.exports = function(RED) {
  function Node(config) {
    RED.nodes.createNode(this, config);
    let node = this;
    node.on('input', function(msg) {
      msg.payload = lib.string(msg.payload);
      node.send(msg);
    });
  }
  RED.nodes.registerType('is.string', Node);
};
